Creating python object of all objects in file

Hi,

Is it possible to create a python object to pass into something else via selecting all objects?

Note the type returned is a bool… what’s the process for creating a python object with 3D files?

allobj = Rhino.RhinoApp.RunScript("_selall ", “Enter”)
print(type(allobj))

Thanks

I don’t understand why you are running the code above calling Rhino commands instead of using rhinoscriptsyntax or RhinoCommon…

because I started doing this a week ago… :dotted_line_face:

OK, no problem, it just looks like you are sorta starting from an odd place with your code. Have a look at the rhinoscriptsyntax help (hit F1 when in the code editor) and maybe look at some of the beginners guides. Rhino - RhinoScriptSyntax

What you probably want is rhinoscriptsyntax.NormalObjects()…

Legend, thanks. I started delving as you mentioned and am already making progress.